petsc-3.7.7 2017-09-25
Report Typos and Errors

# TSSetPostStep

Sets the general-purpose function called once at the end of each time step.

### Synopsis

    #include "petscts.h"
    PetscErrorCode  TSSetPostStep(TS ts, PetscErrorCode (*func)(TS))

Logically Collective on TS

### Input Parameters

| ts | - The TS context obtained from TSCreate()
| func | - The function

### Calling sequence of func

    func (TS ts);

### Keywords

TS, timestep

### See Also

TSSetPreStep(), TSSetPreStage(), TSGetTimeStep(), TSGetTimeStepNumber(), TSGetTime()

Level:intermediate
Location:src/ts/interface/ts.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages